CREATE TABLE customer 
(
	pkey		VARCHAR(10) NOT NULL	PRIMARY KEY,
	fname		VARCHAR(20),
	lname		VARCHAR(20),
	ccode		VARCHAR(10)
);

CREATE TABLE WBIA_JDBC_EventStore 
(
	event_id						INTEGER NOT NULL	GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1, NO CACHE )		PRIMARY KEY,
	xid				VARCHAR(200),
	object_key					VARCHAR(80)		NOT NULL,
	object_name			VARCHAR(40)		NOT NULL,
	object_function			VARCHAR(40)		NOT NULL,
	event_priority    		INTEGER			NOT NULL,
	event_time				TIMESTAMP		default CURRENT TIMESTAMP NOT NULL,
	event_status				INTEGER			NOT NULL,
	event_comment		VARCHAR(100)
);

CREATE TRIGGER event_create 
AFTER INSERT ON CUSTOMER REFERENCING NEW AS N  
FOR EACH ROW MODE DB2SQL 
INSERT INTO wbia_jdbc_eventstore (object_key, object_name, object_function, event_priority, event_status) 
VALUES (N.pkey, 'Db2adminCustomerBG', 'Create', 1, 0);